export function extractFunctionNames(code) {
  const combinedFunctionNames = new Set();

  // Named function declarations
  const namedFunctionRegex = /function\s+([a-zA-Z0-9_$]+)\s*\(/g;
  let match;
  while ((match = namedFunctionRegex.exec(code)) !== null) {
    if (match[1]) {
      combinedFunctionNames.add(match[1]);
    }
  }

  // Arrow functions assigned to variables
  const arrowFunctionRegex = /const\s+([a-zA-Z0-9_$]+)\s*=\s*\(?.*?\)?\s*=>/g;
  while ((match = arrowFunctionRegex.exec(code)) !== null) {
    if (match[1]) {
      combinedFunctionNames.add(match[1]);
    }
  }

  // Methods in classes
  const methodRegex = /([a-zA-Z0-9_$]+)\s*\(\)\s*{/g;
  while ((match = methodRegex.exec(code)) !== null) {
    if (match[1]) {
      combinedFunctionNames.add(match[1]);
    }
  }
  return combinedFunctionNames;
}
//# sourceMappingURL=util.js.map