import { PluginType, SegmentAPISettings, SegmentClient, UpdateType, UtilityPlugin, EdgeFunctionSettings } from '@segment/analytics-react-native';
import { SegmentClientLivePluginLayer } from './compat';
export interface LivePluginDependent {
    prepare(compatLayer: SegmentClientLivePluginLayer): void;
    readyToStart(): void;
}
export declare class LivePlugins extends UtilityPlugin {
    type: PluginType;
    private compatLayer?;
    private store;
    private dependents;
    static loaded: boolean;
    loadEdgeFunction: (settings: EdgeFunctionSettings) => Promise<void>;
    downloadEdgeFunction(downloadURL: string, version: string): Promise<string | undefined>;
    update(_: SegmentAPISettings, _type: UpdateType): void;
    configure(analytics: SegmentClient): void;
    shutdown(): void;
    addDependent(plugin: LivePluginDependent): void;
}
//# sourceMappingURL=liveplugin.d.ts.map