import { type SegmentAPISettings, type UpdateType, type SegmentEvent } from '@segment/analytics-react-native';
export declare enum LivePluginType {
    before = "before",
    enrichment = "enrichment",
    after = "after",
    utility = "utility"
}
export interface LivePlugin {
    readonly type?: LivePluginType;
    readonly destination?: string;
    update?(settings: SegmentAPISettings, type: UpdateType): void;
    execute?(event: SegmentEvent): SegmentEvent | undefined;
    track?(event: SegmentEvent): SegmentEvent | undefined;
    identify?(event: SegmentEvent): SegmentEvent | undefined;
    screen?(event: SegmentEvent): SegmentEvent | undefined;
    alias?(event: SegmentEvent): SegmentEvent | undefined;
    group?(event: SegmentEvent): SegmentEvent | undefined;
    flush?(): void;
    reset?(): void;
}
export declare abstract class LivePluginBase implements LivePlugin {
    private _type;
    private _destination;
    constructor(type: LivePluginType, destination: string);
    get type(): LivePluginType;
    get destination(): string;
    update(settings: SegmentAPISettings, type: UpdateType): void;
    execute(event: SegmentEvent): SegmentEvent | undefined;
    track(event: SegmentEvent): SegmentEvent | undefined;
    identify(event: SegmentEvent): SegmentEvent | undefined;
    group(event: SegmentEvent): SegmentEvent | undefined;
    alias(event: SegmentEvent): SegmentEvent | undefined;
    screen(event: SegmentEvent): SegmentEvent | undefined;
    reset(): void;
    flush(): void;
}
//# sourceMappingURL=types.d.ts.map